Bug 184151 - scriptlet errors on fresh install
Summary: scriptlet errors on fresh install
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC5Blocker
TreeView+ depends on / blocked
 
Reported: 2006-03-06 21:33 UTC by Jeremy Katz
Modified: 2014-01-21 22:53 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-03-07 00:54:32 UTC


Attachments (Terms of Use)
Fix sample certificate generation (612 bytes, patch)
2006-03-06 23:39 UTC, Miloslav Trmač
no flags Details | Diff

Description Jeremy Katz 2006-03-06 21:33:37 UTC
The %post script spews the following on a fresh install of the package.
ERROR: Can't use SSL certificate /etc/pki/dovecot/certs/dovecot.pem: No such
file or directory

Comment 1 Miloslav Trmač 2006-03-06 23:39:44 UTC
Created attachment 125734 [details]
Fix sample certificate generation

This seems to fix it for me.

BTW,
- dovecot should probably own /etc/pki/dovecot{,/certs,/private}
- why is .../examples/mkcert.sh %attr(0750,root,dovecot) ?

Comment 2 Jeremy Katz 2006-03-07 00:54:32 UTC
Applied the patch.  The other things probably should be done but aren't release
critical


Note You need to log in before you can comment on or make changes to this bug.